import request from '@/utils/request'

// 查询MSDS管理列表
export function listMsds(query) {
  return request({
    url: '/ehs/msds/list',
    method: 'get',
    params: query
  })
}

// 查询MSDS管理详细
export function getMsds(id) {
  return request({
    url: '/ehs/msds/' + id,
    method: 'get'
  })
}

// 新增MSDS管理
export function addMsds(data) {
  return request({
    url: '/ehs/msds',
    method: 'post',
    data: data
  })
}

// 修改MSDS管理
export function updateMsds(data) {
  return request({
    url: '/ehs/msds',
    method: 'put',
    data: data
  })
}

// 删除MSDS管理
export function delMsds(id) {
  return request({
    url: '/ehs/msds/' + id,
    method: 'delete'
  })
}

// 导出MSDS管理
export function exportMsds(query) {
  return request({
    url: '/ehs/msds/export',
    method: 'get',
    params: query
  })
}